Package com.orchestranetworks.dataservices.rest

# Interface Constants.Selector

Enclosing interface:
  Constants

public static interface Constants.Selector
Selector keys and parameters.

See Also:
  - Select operation

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `KEY_CONTENT`
  `static final String`
  `KEY_LABEL`
  `static final String`
  `KEY_PAGINATION`
  `static final String`
  `KEY_PAGINATION_NEXT_PAGE`
  `static final String`
  `KEY_ROWS`
  `static final String`
  `KEY_SELECTOR`
  `static final String`
  `PARAM_PAGE_SIZE`
  `static final String`
  `PARAM_SELECTOR`
  `static final String`
  `PARAM_SELECTOR_FILTER`

- ## Field Details

  - ### PARAM_SELECTOR

    static final String PARAM_SELECTOR
    See Also:
      - `selector` query parameter
      - Constant Field Values

  - ### PARAM_PAGE_SIZE

    static final String PARAM_PAGE_SIZE
    See Also:
      - `pageSize` query parameter
      - Constant Field Values

  - ### PARAM_SELECTOR_FILTER

    static final String PARAM_SELECTOR_FILTER
    See Also:
      - `selectorFilter` query parameter
      - Constant Field Values

  - ### KEY_CONTENT

    static final String KEY_CONTENT
    See Also:
      - `content` extended JSON property
      - Constant Field Values

  - ### KEY_LABEL

    static final String KEY_LABEL
    See Also:
      - `label` extended JSON property
      - Constant Field Values

  - ### KEY_PAGINATION

    static final String KEY_PAGINATION
    See Also:
      - `pagination` extended JSON property
      - Constant Field Values

  - ### KEY_PAGINATION_NEXT_PAGE

    static final String KEY_PAGINATION_NEXT_PAGE
    See Also:
      - `nextPage` extended JSON property
      - Constant Field Values

  - ### KEY_ROWS

    static final String KEY_ROWS
    See Also:
      - `rows` extended JSON property
      - Constant Field Values

  - ### KEY_SELECTOR

    static final String KEY_SELECTOR
    See Also:
      - `selector` extended JSON property
      - Constant Field Values